// 声明 plog方法类
interface IPageLogObject {
  [propsName: string]: string | number | boolean | null | IPageLogObject | IPageLogArray
}

interface IPageLogArray {
  [index: number]: string | number | boolean | null | undefined | IPageLogObject | IPageLogArray
}

declare interface Console {
  plog: (...arg: Array<string | number | boolean | null | undefined | IPageLogObject | IPageLogArray>) => void
}
// 如果使用可配置模式，需要添加如下声明
declare interface pagelog {
  plog: (...arg: Array<string | number | boolean | null | undefined | IPageLogObject | IPageLogArray>) => void;
  options: IOptions;
}

interface IOptions {
  wsPort: string | number;
  htmlPort: string | number;
  clear: boolean;
}
